local M = {}
local function onScenarioChange()
	local scenario = scenario_scenarios.getScenario()
	if not scenario then return end
	if scenario.state == 'pre-running' then
		local map = getMissionFilename():match('levels/([%w|_|%-|%s]+)/') 
		gdloader.oldScenario = {name = scenario.name, desc = scenario.description, map = map}
		gdmain.loadgdscenario()
	end
end

M.onScenarioChange = onScenarioChange

return M